Subject: Re: bug#67608: qtbase fails to build on i686

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 06 Dec 2023 17:53:06 -0500

Hello,

Efraim Flashner <[email-masked]> writes:

[...]

> I found it broken when I was going through a big rebuild and I believe
> it tracked it down to the -DFEATURE_xxx=OFF flags that we've been
> carrying since qt-4.  Once I removed them i686 stopped trying to use
> 128-bit numbers and compiled successfully.  As a comparison, Debian
> doesn't use those flags.
>
> I've closed the bug since it now builds, but feel free to re-open it if
> we want to revisit removing the flags or anything.

Excellent, thank you!

-- 
Thanks,
Maxim